com.amazonaws.services.codedeploy.model

## Class BatchGetOnPremisesInstancesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.BatchGetOnPremisesInstancesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class BatchGetOnPremisesInstancesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a batch get on-premises instances operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`BatchGetOnPremisesInstancesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetOnPremisesInstancesRequest` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getInstanceNames()` The names of the on-premises instances about which to get information.
`int` `hashCode()`
`void` `setInstanceNames(Collection<String> instanceNames)` The names of the on-premises instances about which to get information.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetOnPremisesInstancesRequest` `withInstanceNames(Collection<String> instanceNames)` The names of the on-premises instances about which to get information.
`BatchGetOnPremisesInstancesRequest` `withInstanceNames(String... instanceNames)` The names of the on-premises instances about which to get information.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetOnPremisesInstancesRequest

    public BatchGetOnPremisesInstancesRequest()

### Method Detail

#### getInstanceNames

    public List<String> getInstanceNames()

The names of the on-premises instances about which to get information.

Returns:
  The names of the on-premises instances about which to get information.

#### setInstanceNames

    public void setInstanceNames(Collection<String> instanceNames)

The names of the on-premises instances about which to get information.

Parameters:
  `instanceNames` - The names of the on-premises instances about which to get information.

#### withInstanceNames

    public BatchGetOnPremisesInstancesRequest withInstanceNames(String... instanceNames)

The names of the on-premises instances about which to get information.

NOTE: This method appends the values to the existing list (if any). Use `setInstanceNames(java.util.Collection)` or `withInstanceNames(java.util.Collection)` if you want to override the existing values.

Parameters:
  `instanceNames` - The names of the on-premises instances about which to get information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withInstanceNames

    public BatchGetOnPremisesInstancesRequest withInstanceNames(Collection<String> instanceNames)

The names of the on-premises instances about which to get information.

Parameters:
  `instanceNames` - The names of the on-premises instances about which to get information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetOnPremisesInstancesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`